Subject: Re: Feedback for draft-nottingham-http-link-header-03

From: Eran Hammer-Lahav <[email-masked]>
Date: Thu, 4 Dec 2008 18:28:27 -0700

On 12/4/08 4:57 PM, "Mark Nottingham" <[email-masked]> wrote:

> The one quibble I have is with this notion of a "canonical" set of
> links; there can always be more links between resources than are
> serialised into the headers (unless it's specifically required by an
> application; see below). This is important, because it allows (for
> example) an HTML representation to carry HTML-centric links, while
> allowing an XML representation of the same resource to carry XML-
> centric links, if that's what's desirable, without conflicting.

I don't think there is a contradiction between resource->resource and
representation specific *filtering* of links. A resource can have MANY links
but does not have to include all of them with every representation. But it
is important that links are bound to the resource itself and not to a
specific representation.

> Eran, if you want to say that all responses for a particular resource
> must contain a particular link, go ahead and specify just that; even
> if we clarify Link to say that links *are* resource->resource, there's
> no guarantee or implication that all responses will have a Link
> header...

I fully agree and if such consistency is required for an application to work
properly, it must be made a requirement by that application.

EHL